<?php
/**
 * RW Elephant Rental Inventory - Pay Invoice Template
 *
 * @author RW Elephant <support@rwelephant.com>
 */
?>

<div class="rwe-order__payment">
	<div class="rwe-order-payment">

		<h2 class="rwe-order-payment__title"><?php esc_html_e( 'Step 2: Pay', 'rw-elephant-rental-inventory' ); ?></h2>

		<h3 class="rwe-order-payment__subtitle"><?php esc_html_e( 'Payment', 'rw-elephant-rental-inventory' ); ?></h3>

		<div class="rwe-order-payment__form">
			<form class="rwe-payment-form" method="" action="">
				<div class="rwe-payment-form__amount">
					<h4 class="rwe-payment-form__amount-title"><?php esc_html_e( 'Today\'s Payment', 'rw-elephant-rental-inventory' ); ?></h4>
					<div class="rwe-payment-form__amount-item">
						<div class="left">
							<label class="radio-label" for="fullAmount"><input class="radio-input" type="radio" id="fullAmount" name="payment" value="<?php rwe_invoice_balance( false ); ?>" checked><?php esc_html_e( 'Full Invoice Amount:', 'rw-elephant-rental-inventory' ); ?></label>
						</div>
						<div class="right">
							<?php rwe_invoice_balance( true ); ?>
						</div>
					</div>
					<div class="rwe-payment-form__amount-item">
						<div class="left">
							<label class="radio-label" for="minAmount"><input class="radio-input" type="radio" id="minAmount" name="payment" value="<?php rwe_invoice_min_deposit( false ); ?>"><?php esc_html_e( 'Minimum Required Deposit:', 'rw-elephant-rental-inventory' ); ?></label>
						</div>
						<div class="right">
							<?php rwe_invoice_min_deposit( true ); ?>
						</div>
					</div>
					<div class="rwe-payment-form__amount-item">
						<div class="left">
							<label class="radio-label" for="otherAmount"><input class="radio-input" type="radio" id="otherAmount" name="payment" value="other"><?php esc_html_e( 'Other Amount:', 'rw-elephant-rental-inventory' ); ?></label>
						</div>
						<div class="right">
							<span class="curr-symbol">$</span>
							<input class="text-input" id="setAmount" name="payment-other" type="number" min="0" step="any">
							<label class="text-label" for="setAmount"><?php esc_html_e( 'Amount:', 'rw-elephant-rental-inventory' ); ?></label>
						</div>
					</div>
				</div>
				<div class="rwe-payment-form__remaining">
					<h4 class="rwe-payment-form__remaining-title"><?php esc_html_e( 'Future Payments', 'rw-elephant-rental-inventory' ); ?></h4>
					<?php rwe_invoice_due_date(); ?>
					<label class="check-label"><input class="js-due-balance check-input" type="checkbox" value=""><?php rwe_invoice_charge_card_label(); ?></label>
					<input class="js-signature-data" type="hidden" value="">
					<div class="submit-field">
						<input class="rwe-button rwe-button--primary" type="submit" value="<?php esc_attr_e( 'Continue', 'rw-elephant-rental-inventory' ); ?>">
					</div>
				</div>
			</form>
		</div>
	</div>
</div>
